Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.configuration
Class RemoteWFSDataSource

    java.lang.Object
      org.deegree.ogcwebservices.wms.configuration.AbstractDataSource
          org.deegree.ogcwebservices.wms.configuration.LocalWFSDataSource
              org.deegree.ogcwebservices.wms.configuration.RemoteWFSDataSource

    public class RemoteWFSDataSource

extends LocalWFSDataSource

Data source description for a LOCALWFS datasource

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wms.configuration.AbstractDataSource
`DATABASE, EXTERNALDATAACCESS, LOCALWCS, LOCALWFS, ows, REMOTEWCS, REMOTEWFS, REMOTEWMS`

Constructor Summary
`RemoteWFSDataSource(boolean querable, boolean failOnException, QualifiedName name, int type, QualifiedName geometryProperty, OGCWebService ows, URL capabilitiesURL, ScaleHint scaleHint, Geometry validArea, Query query, URL featureInfoTransform, int reqTimeLimit)` Creates a new DataSource object.

Method Summary
`OGCWebService` | `getOGCWebService()` returns an instance of the `OGCWebService` that represents the datasource.

Methods inherited from class org.deegree.ogcwebservices.wms.configuration.LocalWFSDataSource
`getGeometryProperty, getQuery`

Methods inherited from class org.deegree.ogcwebservices.wms.configuration.AbstractDataSource
`getCapabilitiesURL, getDimProps, getFeatureInfoTransform, getFeatureInfoURL, getName, getRequestTimeLimit, getScaleHint, getType, getValidArea, isFailOnException, isQueryable, setFeatureInfoURL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteWFSDataSource

    public RemoteWFSDataSource(boolean querable,
                               boolean failOnException,
                               QualifiedName name,
                               int type,
                               QualifiedName geometryProperty,
                               OGCWebService ows,
                               URL capabilitiesURL,
                               ScaleHint scaleHint,
                               Geometry validArea,
                               Query query,
                               URL featureInfoTransform,
                               int reqTimeLimit)

  Creates a new DataSource object.

  Parameters:
    `querable` -
    `failOnException` -
    `name` -
    `type` -
    `geometryProperty` -
    `ows` -
    `capabilitiesURL` -
    `scaleHint` -
    `validArea` -
    `query` -
    `featureInfoTransform` -
    `reqTimeLimit` -

Method Detail

### getOGCWebService

    public OGCWebService getOGCWebService()
                                   throws OGCWebServiceException

  returns an instance of the `OGCWebService` that represents the datasource. Notice: if more than one layer uses data that are offered by the same OWS the deegree WMS shall just use one instance for accessing the OWS

  Overrides:
    `getOGCWebService` in class `LocalWFSDataSource`
  Returns:
    OWS
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org